Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve
Class IserveCommunicationStrategy

    java.lang.Object
      ix.iserve.ipc.IServeCommStrategy
          ix.iserve.IserveCommunicationStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy

    public class IserveCommunicationStrategy

extends IServeCommStrategy

A communication strategy that can be called "iserve". This class exists only for its name. The name does not quite follow the usual capitalisation rules, but this allows it to be called simply "iserve" as a strategy when specifying `Parameters` to an agent, because of the convention followed by the `IPC.makeCommunicationStrategy(String)` method.

This class does not contain any significant code and instead just extends another class that provides the actual strategy implementation.

Field Summary

Fields inherited from class ix.iserve.ipc.IServeCommStrategy
`ableToSend, expectedSeqNo, httpUtil, messageListener, messageMap, nextMessageUrl, receiveThread, receiveThreadCount, registerUrl, SEND_DATE, sendClient, sendUrl, serverBase, tool, uuid`

Constructor Summary
`IserveCommunicationStrategy()`

Method Summary

Methods inherited from class ix.iserve.ipc.IServeCommStrategy
`awaitStartedReceiving, determineServerBase, do_transcript, getAgentName, getReceivedContents, initialCommToolTranscript, installCommTool, makeReceiveClient, makeSendClient, register, reportIdentityCheckFailure, reportProblem, sendObject, setupServer, startReceiving, stoppedReceiving, stopReceiving, transcript, transcriptLater`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IserveCommunicationStrategy

    public IserveCommunicationStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD